import { useState } from 'react';
import { IconButton, Tooltip } from '@mui/material';
import { Slideshow } from '@mui/icons-material';
import { Screensaver } from './Screensaver';

export function ScreensaverButton() {
  const [screensaverOpen, setScreensaverOpen] = useState(false);

  const handleOpenScreensaver = () => {
    setScreensaverOpen(true);
  };

  const handleCloseScreensaver = () => {
    setScreensaverOpen(false);
  };

  return (
    <>
      <Tooltip title="Launch screensaver">
        <IconButton onClick={handleOpenScreensaver}>
          <Slideshow />
        </IconButton>
      </Tooltip>
      {screensaverOpen && (
        <Screensaver onClose={handleCloseScreensaver} />
      )}
    </>
  );
}